summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/meld3/meld3-1.0.2.ebuild')
-rw-r--r--dev-python/meld3/meld3-1.0.2.ebuild27
1 files changed, 27 insertions, 0 deletions
diff --git a/dev-python/meld3/meld3-1.0.2.ebuild b/dev-python/meld3/meld3-1.0.2.ebuild
new file mode 100644
index 00000000000..f83fb0638ee
--- /dev/null
+++ b/dev-python/meld3/meld3-1.0.2.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="meld3 is an HTML/XML templating engine"
+HOMEPAGE="https://github.com/supervisor/meld3 http://pypi.python.org/pypi/meld3"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}"
+
+# tests use a local path.
+RESTRICT=test
+
+python_test() {
+ PYTHONPATH=. "${PYTHON}" ${PN}/test_${PN}.py || die "Tests failed under ${EPYTHON}"
+}